{ pkgs, ... }:
{
  networking.hostName = "Lenni";
  imports = [
    ./hardware-configuration.nix
    ./applications.nix
    ./auto-cpufreq.nix
    ./envvar.nix
    ./nix-ld-nix
    ./pipewire.nix
    ./polkit.nix
    ./syncthing.nix
    ./udev.nix
    ./user.nix
    ./boot.nix
    ./locales.nix
  ];
  
  networking.networkmanager.enable = true;
  console.keyMap = "de";
  nixpkgs.config.allowUnfree = true;
  services.hardware.bolt.enable = true;
  services.fprintd.enable = true;
  programs.hyprland.enable = true;
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  system.stateVersion = "23.11";
}